# close\_run

<pre class="language-python"><code class="lang-python">dbnl.close_run(
    *,
    run: <a data-footnote-ref href="#user-content-fn-1">Run</a>,
) -> None:
</code></pre>

Mark the specified dbnl Run status as completed. Once a Run is marked as closed, it can no longer be used for [reporting Results](/v0.20.x/using-distributional/python-sdk/sdk-functions/run-results/report_results-2.md).&#x20;

{% hint style="info" %}
A Run must be closed for all [uploaded results](/v0.20.x/using-distributional/python-sdk/sdk-functions/run-results/report_results-2.md) to be shown on the UI.
{% endhint %}

## Parameters

<table><thead><tr><th width="213">Arguments</th><th>Description</th></tr></thead><tbody><tr><td><code>run</code></td><td>The dbnl <a href="/pages/QtYyvw16aMflnd2CNWFJ">Run</a> to be finalized.</td></tr></tbody></table>

## Examples

```python
import dbnl
dbnl.login()

dbnl.close_run(run=my_run)
```

[^1]: [Run](/v0.20.x/using-distributional/python-sdk/sdk-objects/run.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.20.x/using-distributional/python-sdk/sdk-functions/run/close_run.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
